<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="manageContractForm" class="form-horizontal">
        <div class="row ">
            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 gzl-registration-contract-header">
                <h2>#{messages['net.ihe.gazelle.tm.Contract']}</h2>
                <h:commandButton id="manageContract" styleClass="gzl-btn gzl-btn-green"
                                 value="#{messages['net.ihe.gazelle.tm.ManageContract']}" action="#{registrationBeanGui.manageContractButton()}"
                                 rendered="#{registrationBeanGui.invoice != null and registrationBeanGui.showManageContractButton() == true}" />
            </div>
        </div>
        <s:div rendered="#{registrationBeanGui.invoice != null and registrationBeanGui.systemHasAtLeastOneSUT()}">
            <div class="row">
                <div class="col-sm-8 col-sm-offset-2 col-md-8 col-md-offset-2 gzl-registration-contract-message">
                    <s:div rendered="#{registrationBeanGui.isContractReceived() == false}" styleClass="gzl-alert gzl-alert-orange">
                    <span>
                        <i class="glyphicon glyphicon-warning-sign" />
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.AContractShallBeGeneratedAndSent']}"/>
                    </span>
                    </s:div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-8 col-sm-offset-2">
                    <p>#{messages['net.ihe.gazelle.tm.ContractGeneratedOn']} <b>#{registrationBeanGui.getGeneratedOn()}</b></p>
                    <s:div rendered="#{registrationBeanGui.isContractReceived() == true}">
                        <p>#{messages['net.ihe.gazelle.tm.ContractReceivedOn']} <b>#{registrationBeanGui.getReceivedOn()}</b></p>
                    </s:div>
                    <p>#{messages['net.ihe.gazelle.tm.PONumber']} <b>#{registrationBeanGui.getPONumber()}</b></p>
                    <p>#{messages['net.ihe.gazelle.tm.InvoiceSentOn']} <b>#{registrationBeanGui.getSentOn()}</b></p>
                    <p>#{messages['net.ihe.gazelle.tm.InstructionsFromParticipants']} <b>#{registrationBeanGui.getInstructions()}</b></p>
                </div>
            </div>
        </s:div>
        <s:div styleClass="col-sm-offset-1 col-sm-10 gzl-registration-fees-header"
               rendered="#{registrationBeanGui.invoice != null and registrationBeanGui.systemHasAtLeastOneSUT() == false}">
            <h3>#{messages['net.ihe.gazelle.tm.AddAtLeastOneSystemUnderTestToAccessTheContract']}</h3>
        </s:div>
        <s:div styleClass="col-sm-offset-1 col-sm-10 gzl-registration-fees-header"
               rendered="#{registrationBeanGui.invoice == null }">
            <h3>#{messages['net.ihe.gazelle.tm.ContractNotGeneratedYet']}</h3>
        </s:div>
    </h:form>



</ui:composition>

